Announcement

Collapse
No announcement yet.

Upgrading PHP, mySQL, Apache, etc.

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading PHP, mySQL, Apache, etc.

    Is there or will there be a fast, efficient, and simple way to upgrade critical components such as Perl, PHP, mySQL, Apache, etc.?

  • #2
    You need to find the RPM's on the various upgrade sites, download, and install them. Currently RedHat has discontinued the creation of RPM's for RH9 and the Fedoral Legacy project has only created a few.

    Comment


    • #3
      Sorry to revive an old thread like this, but I have a related question. If I were to upgrade PHP from the currently installed 4.2.2 to the newest 4.x branch (currently 4.3.8), would this have any adverse effects on NodeWorx/SiteWorx? I'd like to upgrade it, but I don't want to screw something up in the process.

      In addition, same question for MySQL. Would upgrading 3.23.58 to 4.0.20 cause any problems with the functioning of NodeWorx/SiteWorx?

      If I won't screw anything up, are there any special procedures, precautions, files to back up, etc. that I should do before proceeding with the upgrades?

      Thanks for the help.

      P.S. On a semi-related note: Do you plan any support for PostgreSQL?
      Last edited by sonicgroup; 08-09-2004, 03:44 PM.

      Comment


      • #4
        It would be very nice to get these things (PHP, mySQL, Apache, etc.) upgraded in a timely fashion.

        PostgreSQL would be nice too.

        Comment


        • #5
          Originally posted by oaf357
          It would be very nice to get these things (PHP, mySQL, Apache, etc.) upgraded in a timely fashion.

          PostgreSQL would be nice too.
          Much of this will be upgraded with 1.8 as I understand it. You should be able to do the upgrades yourself with no adverse effects (at least the incremental ones; jumping from MySql 3 to 4 could cause problems.

          Please remember that for the vast majority of users we do not need the most recent version. The InterWorx developers know that and are concentrating on adding features and other OS support to InterWorx right now.
          Last edited by timryberg; 08-27-2004, 09:56 PM.

          Comment


          • #6
            That makes sense to me.

            However, having the latest and greatest makes marketing web hosting a hell of a lot easier. Not to mention it allows for a better product.

            Comment


            • #7
              The short answer oaf is that we'll have the latest and greatest of the 4 or 5 key software packages that InterWorx-CP uses and that the system users need updated regularly (php, mysql, httpd etc). As for postgres, until InterWorx-CP supports it 100% we won't be providing RPMs, and postgres support for InterWorx-CP proper isn't high on the list at this point. You can always create you own RPMs in the meantime and postgres may even provide them as new releases come out.

              Chris
              Chris Wells
              InterWorx L.L.C. | http://interworx.com
              InterWorx Control Panel

              Comment


              • #8
                oaf, 1.8 solves this issue. If you haven't yet you can do so by just following the instructions in this thread

                Chris
                Chris Wells
                InterWorx L.L.C. | http://interworx.com
                InterWorx Control Panel

                Comment

                Working...
                X